# class KFileFilter |
Definition | `#include <kfilefilter.h>`
Inherits | KComboBox (kdeui) [public ]
List of all Methods
Annotated List
Files
Globals
Hierarchy
Index

#### Public Methods

- KFileFilter (QWidget *parent= 0, const char *name= 0)
- ~KFileFilter ()
- void setFilter (const QString& filter)
- QString currentFilter () const

#### Signals

- void filterChanged ()

#### Protected Members

- QStringList filters

## Detailed Description

KFileFilter (QWidget *parent= 0, const char *name= 0) | ### KFileFilter

~KFileFilter () | ### ~KFileFilter

void setFilter (const QString& filter) | ### setFilter

QString currentFilter () | ### currentFilter

[const]

QStringList filters | ### filters

[protected]

void filterChanged () | ### filterChanged

[signal]

Generated by: root@sparc.ports.openbsd.org on Wed May 2 09:42:26 2001, using kdoc 2.0a53.